Bug 1902702 - [sig-auth][Feature:LDAP][Serial] ldap group sync can sync groups from ldap: oc cp over non-existing directory/file fails
Summary: [sig-auth][Feature:LDAP][Serial] ldap group sync can sync groups from ldap: o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks: 1902008
TreeView+ depends on / blocked
 
Reported: 2020-11-30 13:01 UTC by Jan Chaloupka
Modified: 2021-02-24 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25738 0 None closed Bug 1902702: fix ldap group sync tests and move them from bash to golang 2021-01-20 04:07:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:56 UTC

Description Jan Chaloupka 2020-11-30 13:01:37 UTC
The test is executing "oc cp" copying test/extended/authentication/ldap and hack directories into a container. In CI (aws-serial), the test is run from /tmp/directory where none of the directories are present. The current version of oc silently fails for non-existing directories/files. With oc rebase to 1.20 (https://github.com/openshift/oc/pull/648) a new check is added (https://github.com/kubernetes/kubernetes/pull/90333) which fails when directory/file does not exist. Causing "[sig-auth][Feature:LDAP][Serial] ldap group sync can sync groups from ldap" test to fail.

Comment 7 errata-xmlrpc 2021-02-24 15:36:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.